Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.asn1
Class ENUMERATED

    java.lang.Object
      |
      +--java.lang.Number
            |
            +--java.math.BigInteger
                  |
                  +--org.mozilla.jss.asn1.INTEGER
                        |
                        +--org.mozilla.jss.asn1.ENUMERATED

public class ENUMERATED
extends INTEGER
implements ASN1Value

Represents an ASN.1 `ENUMERATED` value. This has the same interface as `INTEGER`

See Also:
  Serialized Form

Inner Class Summary
`static class` | `ENUMERATED.Template` A template for decoding ENUMERATED values from their BER encodings.

Inner classes inherited from class org.mozilla.jss.asn1.INTEGER
`INTEGER.Template`

Field Summary
`static Tag` | `TAG`

Fields inherited from class org.mozilla.jss.asn1.INTEGER
`encodedContents, FORM, TAG, templateInstance`

Fields inherited from class java.math.BigInteger
`bitCnt, bitCount, bitLen, bitLength, digitsPerLong, firstNonzeroByteNum, longRadix, lowestSetBit, magnitude, MAX_CONSTANT, negConst, ONE, posConst, serialVersionUID, signum, trailingZeroCnt, TWO, ZERO, zeros`

Fields inherited from class java.lang.Number
`serialVersionUID`

Constructor Summary
`(package private)` | `ENUMERATED(byte[] valBytes)`
`` | `ENUMERATED(long val)` Creates a new ENUMERATED value from a long.

Method Summary
`Tag` | `getTag()`
`long` | `getValue()` Returns the value as a long.

Methods inherited from class org.mozilla.jss.asn1.INTEGER
`arraysEqual, encode, encode, encode, getContentLength, getEncodedContents, getHeader, getTemplate, main`

Methods inherited from class java.math.BigInteger
`, abs, add, and, andNot, bitCount, bitLength, byteArrayCmp, byteLength, clearBit, compareTo, compareTo, divide, divideAndRemainder, doubleValue, equals, firstNonzeroByteNum, flipBit, floatValue, gcd, getByte, getLowestSetBit, hashCode, intValue, isProbablePrime, longValue, makePositive, max, min, mod, mod2, modInverse, modPow, modPow2, multiply, negate, not, or, plumbAdd, plumbDivide, plumbDivideAndRemainder, plumbGcd, plumbGeneratePrime, plumbInit, plumbModInverse, plumbModPow, plumbMultiply, plumbRemainder, plumbSquare, plumbSubtract, pow, randomBits, readObject, remainder, setBit, shiftLeft, shiftRight, signBit, signByte, signum, stripLeadingZeroBytes, subtract, testBit, toByteArray, toString, toString, valueOf, valueOf, xor`

Methods inherited from class java.lang.Number
`byteValue, shortValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### TAG

    public static final Tag TAG

Constructor Detail

### ENUMERATED

    public ENUMERATED(long val)

  Creates a new ENUMERATED value from a long.

### ENUMERATED

    ENUMERATED(byte[] valBytes)

Method Detail

### getTag

    public Tag getTag()

  Specified by:
    getTag in interface ASN1Value
  Overrides:
    getTag in class INTEGER

### getValue

    public long getValue()

  Returns the value as a long.

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD